echo off
echo ***************************************************************
echo *                       BMP2GIF DEMO                          *
echo *                                                             *
echo * This demo will create 5 directories:                        *
echo *                                                             * 
echo *                 comp    Compression Demo RLE vs LZW         *
echo *                 color   Color Reduction Demo                *
echo *                 dither  Dithering Methods Demo              *
echo *                 resize  Width and Height Demo               *
echo *                 ini     INI File Demo                       *
echo *                                                             *
echo *************************************************************** 
pause
md comp
md color
md dither
md resize
md ini
echo Compression Demo...
echo creating GIF using RLE
bmp2gif -f:demo.bmp -p:comp\demo-rle.gif
echo creating GIF using LZW
bmp2gif -f:demo.bmp -p:comp\demo-lzw.gif -z
echo Color Reduction Demo
echo creating GIF using Windows system color palette (20)
bmp2gif -f:demo.bmp -p:color\demo-w20.gif -r:w20
echo creating GIF using Windows 256 color palette
bmp2gif -f:demo.bmp -p:color\demo-w256.gif -r:w256
echo creating GIF using Windows 4 shades of gray
bmp2gif -f:demo.bmp -p:color\demo-wgray.gif -r:wgray
echo creating GIF in Mono
bmp2gif -f:demo.bmp -p:color\demo-mono.gif -r:mono
echo creating GIF in 256 shades of gray
bmp2gif -f:demo.bmp -p:color\demo-gray.gif -r:gray
echo creating GIF using Netscape palette (216)
bmp2gif -f:demo.bmp -p:color\demo-netscape.gif -r:netscape
echo creating GIF using quantization (256)
bmp2gif -f:demo.bmp -p:color\demo-wquan.gif -r:wquan
echo creating GIF optimized for 256 colors
bmp2gif -f:demo.bmp -p:color\demo-256.gif -r:256
echo creating GIF optimized for 128 colors
bmp2gif -f:demo.bmp -p:color\demo-128.gif -r:128
echo creating GIF optimized for 64 colors
bmp2gif -f:demo.bmp -p:color\demo-64.gif -r:64
echo creating GIF optimized for 32 colors
bmp2gif -f:demo.bmp -p:color\demo-32.gif -r:32
echo creating GIF optimized for 16 colors
bmp2gif -f:demo.bmp -p:color\demo-16.gif -r:16
echo creating GIF optimized for 8 colors
bmp2gif -f:demo.bmp -p:color\demo-8.gif -r:8
echo Dithering Demo ...
echo creating GIF using the nearest color
bmp2gif -f:demo.bmp -p:dither\demo-nearest.gif -D:nearest
echo creating GIF using Floyd-Steinberg
bmp2gif -f:demo.bmp -p:dither\demo-floyd.gif -D:floyd
echo creating GIF using Stuki
bmp2gif -f:demo.bmp -p:dither\demo-stuki.gif -D:stuki
echo creating GIF using Sierra
bmp2gif -f:demo.bmp -p:dither\demo-sierra.gif -D:sierra
echo creating GIF using Jarvis, Judice and Ninke
bmp2gif -f:demo.bmp -p:dither\demo-jajuni.gif -D:jajuni
echo creating GIF using Stevenson and Arche
bmp2gif -f:demo.bmp -p:dither\demo-stevearche.gif -D:stevearch
echo creating GIF using Burkes
bmp2gif -f:demo.bmp -p:dither\demo-burkes.gif -D:burkes
echo Resizing Demo...
echo creating GIF new width=100
bmp2gif -f:demo.bmp -w:100 -p:resize\demo-w100.gif
echo creating GIF new height=100
bmp2gif -f:demo.bmp -h:100 -p:resize\demo-h100.gif
echo creating GIF new width=50
bmp2gif -f:demo.bmp -w:50 -p:resize\demo-w50.gif
echo creating GIF new height=50
bmp2gif -f:demo.bmp -h:50 -p:resize\demo-h50.gif
echo creating GIF new size=50%
bmp2gif -f:demo.bmp -w:0.5 -p:resize\demo-50.gif
echo creating GIF new size=25%
bmp2gif -f:demo.bmp -h:0.25 -p:resize\demo-25.gif
echo INI File Demo...
echo creating GIF using INI file
bmp2gif -f:demo.bmp -u -p:ini\demo-u.gif
echo creating GIF using INI file changing Height
bmp2gif -f:demo.bmp -u -p:ini\demo-uh100.gif -h:100
echo creating GIF using INI file adding red transparency
bmp2gif -f:demo.bmp -u -p:ini\demo-utrans.gif -t -c:FF0000
echo creating GIF using INI file changing dithering
bmp2gif -f:demo.bmp -u -p:ini\demo-udither.gif -d:nearest
start demo.htm

